package ui

import (
	"github.com/gin-gonic/gin"
)

func GroupWeb(router *gin.Engine) *gin.Engine {
	router.GET("/index.html", index)
	router.GET("/", index)
	router.POST("/", index)
	router.GET("/login.html", getLogin)
	router.GET("/logout.html", getLogout)
	router.POST("/login.html", postLogin)
	router.GET("/profile/", getProfile)
	router.GET("/empty.html", getEmpty)

	return router

}
