package ui

import (
	"net/http"

	"github.com/gin-gonic/gin"

	"git.jmbit.de/jmb/goipam/db"
	"git.jmbit.de/jmb/goipam/utils"
	"git.jmbit.de/jmb/goipam/web/templates"
)

func getSubnetsPage(c *gin.Context) {
	subnets := db.SubnetsList(&db.Subnet{}, -1, -1, "")
	c.HTML(http.StatusOK, "", templates.SubnetsPage(utils.GenMetaContent(c), subnets, nil))

}

func getSubnetDetails(c *gin.Context) {
	subnetID := c.Param("id")
	subnet := &db.Subnet{ID: subnetID}.Get()
}
